Subject: Re: [PATCH v4 11/14] csum-file.h: introduce 'hashwrite_be64()'

From: Taylor Blau <[email-masked]>
Date: Fri, 4 Sep 2020 16:22:26 -0400

On Fri, Sep 04, 2020 at 10:18:38PM +0200, René Scharfe wrote:
> Am 04.09.20 um 00:46 schrieb Taylor Blau:
> "2 * sizeof(uint32_t)" looks slightly out of sync with the hashwrite_be64()
> call now; "sizeof(uint64_t)" would be more fitting.

Yeah, agreed.

> >
> >  		nr_large_offset--;
> >
>
> There's also this potential caller:
>
> midx.c=802=static int write_midx_internal(const char *object_dir, struct multi_pack_index *m,
> midx.c:981:             hashwrite_be32(f, chunk_ids[i]);
> midx.c:982:             hashwrite_be32(f, chunk_offsets[i] >> 32);
> midx.c:983:             hashwrite_be32(f, chunk_offsets[i]);
>
> Not sure it's worth a reroll, though.
>
> (I'd probably leave those conversions for a later series.)

Agreed. If we were earlier on, or there wasn't already a patch that I
had swapped out for a manual fixup after sending this v4, I'd certainly
fold these in, but I think at this point it's easier to apply this
separately on top.

Thanks for pointing them out.

> René

Thanks,
Taylor